> For the complete documentation index, see [llms.txt](https://zeko.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zeko.gitbook.io/docs/zekoai-api-docs/api-reference/authentication/get-account-details.md).

# Get Account Details

## Get Account Details

> Get account details for the current user.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GetAccountDetailsResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"data":{"type":"object","properties":{"accountDetails":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string"},"companyName":{"type":"string"}}},"planDetails":{"type":"object","properties":{"isActive":{"type":"boolean"},"validTill":{"type":"string","format":"date"}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]}}},"paths":{"/api/v1/auth/account-details":{"get":{"tags":["Auth"],"summary":"Get Account Details","description":"Get account details for the current user.","operationId":"getAccountDetails","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAccountDetailsResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```
